/*
   Torrus Renderer stylesheet.
   Designed by BlueRobot.com
   Modified by Ian Holsman <ian@holsman.net>
   Optimised by Stanislav Sinyagin

   $Id$
   */
BODY {
  background-color : white;
  color : #333;
  font-family : verdana, arial, helvetica, sans-serif;
  font-size : 11px;
  margin : 0;
  padding-bottom : 0;
  padding-left : 0;
  padding-right : 0;
  padding-top : 0;
  voice-family : inherit, male;
}

H1, H2, H3, P {
  background-color : inherit;
  margin : 0 0 15px;
  padding-bottom : 0;
  padding-left : 0;
  padding-right : 0;
  padding-top : 0;
}

H1, H2 {
  color : #ccc;
}

H1 {
  font-size : 28px;
  font-weight : 900;
  line-height : 28px;
}

H2 {
  font-size : 20px;
  font-weight : 700;
  line-height : 20px;
}

H3 {
  color : #333;
  font-size : 18px;
  line-height : 18px;
}

P {
  clear : both; /* needed for Opera 6.12 */
  color : #333;
  float : none;
  font-size : 11px;
  line-height : 20px;
}

A {
  background-color : inherit;
  color : #09c;
  font-weight : 600;
  text-decoration : none;
}

A:link, A:visited {
  background-color : inherit;
  color : #09c;
}

A:hover {
  background-color : #eee;
  color : inherit;
}

DIV.CurrentPath A:hover {
  background-color : #ccc;
  color : inherit;
}


*.Header {
  display:none;
  background-color : #eee;
  border-bottom : 1px solid black;
  border-left : 0 solid black;
  border-right : 0 solid black;
  border-top : 1px solid black;
  color : inherit;
  margin : 1em 0 1em;
  padding-bottom : 0;
  padding-left : 20px;
  padding-right : 0;
  padding-top : 17px;
}


*.Header A:hover {
  background-color : #ccc;
  color : inherit;
}

DIV.LoginInfo {
  position : absolute;
  right : 1em;
  top : 1.5em;
  font-size : 9px;
  text-align : right;
}

DIV.LoginInfo SPAN.UserName {
  display : block;
}

DIV.LoginInfo SPAN.Logout {
  display : block;
}

SPAN.Logout A {
  font-size : 9px;
}

DIV.CurrentTime {
  float: right;
  font-size : 9px;
  padding-right: 1em;
  text-align: right;
}

*.Content, *.SingleColumnContent  {
  display : block;
  float : left;
  margin-bottom : 20px;
  margin-left : 0px;
  margin-right : 0px;
  margin-top : 0;
  padding-bottom : 10px;
  padding-left : 10px;
  padding-right : 10px;
  padding-top : 10px;
}

*.SingleColumnContent {
  padding-right : 0px;
  width : 98%;
}

*.Content {
  padding-right : 0px;
  width : 98%;
}

DIV.PathMenu {
  /* background-color : #eee;
  border-bottom : 1px dashed #999;
  border-left : 1px dashed #999;
  border-right : 1px dashed #999;
  border-top : 1px dashed #999; */
  color : inherit;
  /*float : left;*/
  line-height : 17px;
  mmargin-left : 5px;
  padding-bottom : 10px;
  padding-left : 10px;
  padding-right : 10px;
  padding-top : 10px;
  position : relative;
  min-width : 15%; /* does not work in IE6 */
}

SPAN.PathElement {
  /*display : block;*/
}

SPAN.TreeName {
  font-weight : bold;
}

*.PathMenu DIV.CurrentTree {
  font-size : 10px;
  overflow : hidden;
  width : 150px; /* compensate unsupported min-width in IE6 */
}

*.PathMenuHeader {
  font-size : 10px;
}

*.SingleColumnContent DIV.CurrentTree {
  padding-bottom : 5px;
}

*.SingleColumnContent DIV.CurrentTree {
  color : inherit;
  font-size : 10px;
}

DIV.Legend {
  background-color : #eee;
  color : inherit;
  clear : both;
  float : none;
  font-size : 10px;
  margin-bottom : 10px;
  position : relative;
  width : 95%;
}

DIV.LegendRow {
  clear : both;
  float : none;
  height : 11px;
  width : 98%;
}

DIV.LegendRow SPAN.LegendName {
  float : left;
  font-weight : bold;
  text-align : left;
  padding-right : 5px;
}

DIV.LegendRow SPAN.LegendValue {
  float : left;
  text-align : left;
}

P.Variables SPAN.VariableName {
  font-weight : bold;
}

DIV.Listing {
  clear : both;
  float : none;
  font-size : 11px;
  margin-bottom : 10px;
  width : 95%;
}

*.ListRow, *.ListRowEven  {
  clear : both;
  margin-top : 3px;
}

*.ListRowEven {
  background-color : #eee;
}

*.ListRowEven A:hover {
  background-color : #ccc;
  color : inherit;
}

DIV.Listing *.NodeName  {
  display: block;
  width:150px;
  float:left;
  font-weight : bold;
  padding-left : 10px;
  text-align : left;
}

DIV.Listing *.NodeDescr, DIV.Listing *.TokensetDescr  {
  padding-left : 30px;
}

DIV.Graph, DIV.ShortGraph  {
  margin-bottom : 10px;
  margin-top : 15px;
  position : relative;
  width : 98%;
}


DIV.ShortGraph *.NodeName, DIV.ShortGraph *.NodeDescr {
  clear : both;
  float : none;
  font-size : 11px;
  width : 98%;
}

DIV.ShortGraph IMG {
  border-width : 0;
  border-color : transparent;
  clear : both;
  float : left;
}

/* In tokenset display, short graphs are placed in two
   columns: left and right */

DIV.ShortLeft, DIV.ShortRight {
  margin-bottom : 5px;
  page-break-inside : avoid;
  position : relative;
  width : 49%;
}

DIV.ShortLeft {
  clear : left;
  float : left;
}

DIV.ShortRight {
  clear : right;
  float : right;
}


FORM.LoginForm {
  color : #333;
  font-size : 11px;
  line-height : 20px;
  width : 49%;
}

SPAN.LoginTitle {
  float : left;
  width : 20%;
}

SPAN.LoginInput INPUT {
  width : 30%;
}


*.BottomShortcuts {
  clear : both;
  float : none;
  font-size : 11px;
  height : 15px;
  margin : 25px 0 10px;
  padding-bottom : 0;
  padding-left : 0;
  padding-right : 0;
  padding-top : 0;
  position : relative;
}

*.BottomMenu {
  clear : both;
  float : none;
  font-size : 9px;
  height : 15px;
  margin : 10px 0 0 0;
  padding-bottom : 0;
  padding-left : 1em;
  padding-right : 0;
  padding-top : 0;
  width : 98%;
}

*.BottomMenu A {
  font-size : 9px;
}

*.Footer {
  background-color : #eee;
  border-bottom : 1px solid black;
  border-left : 0 solid black;
  border-right : 0 solid black;
  border-top : 1px solid black;
  clear : both;
  color : inherit;
  float : none;
  font-size : 10px;
  height : 15px;
  line-height : 12px;
  margin : 0 0 10px;
  padding-bottom : 0;
  padding-left : 0;
  padding-right : 1em;
  padding-top : 0;
  text-align : right;
}

*.Footer A {
  font-size : 10px;
}

*.RecursiveListRow {
  clear : both;
  margin-top : 3px;
  margin-left : 20px;
  margin-right : 2px;
  padding-bottom: 2px;
  border: 1px solid #eee;
}



